<template>
  <div
    class="sbo-footer mt-auto"
    :class="isPlusPadding ? 'pb-[18rem]' : 'pb-[15rem]'"
    v-if="!authenticated"
  >
    <div class="footer-item">
      <div>
        <div class="title text-center text-[10px] pt-1">
          {{ payments.Text }}
        </div>
        <div class="flex justify-center">
          <img
            :src="payments.ImagePath"
            alt=""
            class="h-[19px] object-contain px-2"
          />
        </div>
      </div>
      <div>
        <div class="title text-center text-[10px] pt-1">
          {{ gameLicense.Text }}
        </div>
        <div class="flex justify-center">
          <img
            :src="gameLicense.ImagePath"
            alt=""
            class="h-[19px] object-contain px-2"
          />
        </div>
      </div>
      <div class="text-[#98c6f5] text-center p-2">
        {{ copyright.Text }}
      </div>
    </div>
  </div>
  <div v-else class="pb-24"></div>
</template>

<script lang="ts">
import { defineComponent, computed, toRefs } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
``;

export default defineComponent({
  setup() {
    const route = useRoute();
    const { name } = toRefs(route);
    const isPlusPadding = computed(() =>
      ["GameInitial", "GameEntryInitial"].includes(name.value as string)
    );
    const authenticated = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const payments = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_payment_method"
        )
    );
    const gameLicense = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_game_license"
        )
    );
    const copyright = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_copyright"
        )
    );
    return {
      payments,
      gameLicense,
      copyright,
      authenticated,
      isPlusPadding,
    };
  },
});
</script>

<style scoped>
.sbo-footer {
  background: var(--background1);
  width: 100%;
  min-height: 148px;
}
</style>
